/*
 *	DATA.H
 *	Tom Kerrigan's Simple Chess Program (TSCP)
 *
 *	Copyright 1997 Tom Kerrigan
 *
 *  Traduccion al castellano por Jose Carlos Martinez Galan
 *	por sugerencia de Roger Davis
 *
 */


/* Esto es, basicamente, una copia de data.c, que sen incluye
   en la mayoria de los ficheros para que puedan utilizar sus
   variables */

extern int color[64];
extern int piece[64];
extern int side;
extern int xside;
extern int castle;
extern int ep;
extern int fifty;
extern int ply;
extern gen_t gen_dat[MOVE_STACK];
extern int gen_begin[HIST_STACK], gen_end[HIST_STACK];
extern int history[64][64];
extern hist_t hist_dat[HIST_STACK];
extern long nodes;
extern move pv[HIST_STACK][HIST_STACK];
extern int pv_length[HIST_STACK];
extern BOOL follow_pv;
extern hist_t undo_dat[UNDO_STACK];
extern int undos;
extern int mailbox[120];
extern int mailbox64[64];
extern BOOL slide[6];
extern int offsets[6];
extern int offset[6][8];
extern int castle_mask[64];
extern char piece_char[6];
extern int init_color[64];
extern int init_piece[64];
